#ifndef SEAT_H
#define SEAT_H

#include <wayland-server.h>

#include "input/keyboard.h"

struct half_seat {
	struct wlr_seat* wlr_seat;
	struct wl_listener wlr_seat_destroy;

	struct wl_list keyboards;
	struct wl_listener half_keyboard_destroy;

	struct wl_list link;
};

// should this create the wlr_seat or be given it?
struct half_seat* half_seat_create(struct wl_display*, const char* name);
void half_seat_destroy(struct half_seat*);

void half_seat_add_keyboard(struct half_seat*, struct half_keyboard*);

#endif
