#ifndef INPUT_KEYBOARD_H
#define INPUT_KEYBOARD_H

#include <wayland-server.h>

struct half_keyboard {
	struct wlr_input_device* wlr_input_device;
	struct wl_listener wlr_input_device_destroy;

	struct wlr_keyboard* wlr_keyboard;
	struct wl_listener wlr_keyboard_modifiers;
	struct wl_listener wlr_keyboard_key;

	struct {
		struct wl_signal destroy;
	} events;

	struct wl_list link;
};

struct half_keyboard* half_keyboard_create(
		struct wlr_input_device*);
void half_keyboard_destroy(struct half_keyboard*);

// sets up keymap, repeat info
bool half_keyboard_reconfigure(struct half_keyboard*);

#endif
