#ifndef OUTPUT_MANAGER_H
#define OUTPUT_MANAGER_H

#include <wayland-server.h>

struct half_output {
	struct wlr_output* wlr_output; // NULL if disabled
	struct wl_listener wlr_output_destroy;

	struct wl_list link;
};

struct half_output* half_output_create();
void half_output_destroy(struct half_output*);

void half_output_set_wlr_output(struct half_output*, struct wlr_output*);
void handle_wlr_output_destroy(struct wl_listener*, void* data);

#endif
